## org.apache.tools.ant.taskdefs.optional.ejb
Class EjbJar.CMPVersion

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.CMPVersion

Enclosing class:
  EjbJar

public static class EjbJar.CMPVersion
extends EnumeratedAttribute

CMP versions supported valid CMP versions are 1.0 and 2.0

Since:
  ant 1.6

Field Summary
`static java.lang.String` `CMP1_0`
`static java.lang.String` `CMP2_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`EjbJar.CMPVersion()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CMP1_0

    public static final java.lang.String CMP1_0

See Also:
  Constant Field Values

### CMP2_0

    public static final java.lang.String CMP2_0

See Also:
  Constant Field Values

Constructor Detail

### EjbJar.CMPVersion

    public EjbJar.CMPVersion()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.